Skip to main content
`Ctrl`+`K`

# MatSeqBAIJGetArray

gives read/write access to the array where the data for a `MATSEQBAIJ` matrix is stored

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatSeqBAIJGetArray(Mat A, PetscScalar *array[])

Not Collective

## Input Parameter

- A - a `MATSEQBAIJ` matrix

## Output Parameter

- array - pointer to the data

## See Also

Matrices, `Mat`, `MATSEQBAIJ`, `MatSeqBAIJRestoreArray()`, `MatSeqAIJGetArray()`, `MatSeqAIJRestoreArray()`

## Level

intermediate

## Location

src/mat/impls/baij/seq/baij.c

## Implementations

MatSeqBAIJGetArray_SeqBAIJ() in src/mat/impls/baij/seq/baij.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages